import request from '@/static/api/request.js';

//分类
export function getExamsCate(data = {}) {
	return request({
		url: 'exams.getCategory',
		method: 'GET',
		data: data
	})
}

//分类详情
export function getExamsSubjectInfo(data) {
	return request({
		url: 'exams.getSubjectInfo',
		method: 'GET',
		data: data
	})
}

//版块
export function getExamsModules(data) {
	return request({
		url: 'exams.getMoudles',
		method: 'GET',
		data: data
	})
}

//版块统计
export function getModuleTotal(data) {
	return request({
		url: 'exams.getModuleTotal',
		method: 'GET',
		data: data
	})
}

//版块详情
export function getExamsModuleInfo(data) {
	return request({
		url: 'exams.getModuleInfo',
		method: 'GET',
		data: data
	})
}

//版块试题
export function getExamsModuleQuestion(data) {
	return request({
		url: 'exams.getModuleQuestion',
		method: 'GET',
		data: data
	})
}

//收藏与取消收藏试题
export function examsQuestionCollect(data) {
	return request({
		url: 'exams.collect',
		method: 'POST',
		data: data
	})
}

//试卷列表
export function getExamsPaperList(data) {
	return request({
		url: 'exams.getPaperList',
		method: 'GET',
		data: data
	})
}

//试卷信息
export function getExamsPaperInfo(data) {
	return request({
		url: 'exams.getPaperInfo',
		method: 'GET',
		data: data
	})
}

//交卷
export function submitExamsPaper(data) {
	return request({
		url: 'exams.submitExams',
		method: 'POST',
		data: data
	})
}

//考试记录
export function examsExamsPaperLog(data) {
	return request({
		url: 'exams.getExamsLog',
		method: 'GET',
		data: data
	})
}

// 考试排名
export function examsExamsRank(data) {
	return request({
		url: 'exams.rank',
		method: 'GET',
		data: data
	})
}
export function examsExamsRankList(data) {
	return request({
		url: 'exams.rankList',
		method: 'GET',
		data: data
	})
}

// 考试结果
export function examsExamsResult(data) {
	return request({
		url: 'exams.result',
		method: 'GET',
		data: data
	})
}

//试卷错题解析
export function examsExamsWrong(data) {
	return request({
		url: 'exams.wrongData',
		method: 'GET',
		data: data
	})
}

//收藏列表
export function examsCollect(data) {
	return request({
		url: 'exams.getCollectList',
		method: 'GET',
		data: data
	})
}

//错题列表
export function examsWrongList(data) {
	return request({
		url: 'exams.wrongList',
		method: 'GET',
		data: data
	})
}

//已做题列表
export function examsUsedList(data) {
	return request({
		url: 'exams.usedList',
		method: 'GET',
		data: data
	})
}

//已做题数量
export function examsUsedTotal(data) {
	return request({
		url: 'exams.usedTotal',
		method: 'GET',
		data: data
	})
}

//当前已做题
export function examsUsedPrevNext(data) {
	return request({
		url: 'exams.usedPrevNext',
		method: 'GET',
		data: data
	})
}

//考试首页5
export function getExamsIndex5(data) {
	return request({
		url: 'exams.index5',
		method: 'GET',
		data: data
	})
}

//分类
export function getMyCate() {
	return request({
		url: 'exams.getMyCate',
		method: 'GET',
	})
}