import request from '@/static/api/request.js';

//订单列表 order_type：2=套餐、3=直播、4=点播、5=线下课、6=考试订单、7=班级课
export function getCourseOrderList(data) {
	return request({
		url: 'order.getCourseOrderList',
		method: 'GET',
		data: data
	})
}

//继续支付
export function orderPay(data) {
	return request({
		url: 'order.pay',
		method: 'POST',
		data: data
	})
}

//申请退款
export function orderRefund(data) {
	return request({
		url: 'order.refund',
		method: 'POST',
		data: data
	})
}

//取消订单
export function orderCancel(data) {
	return request({
		url: 'order.cancel',
		method: 'POST',
		data: data
	})
}

//删除订单
export function orderDelete(data) {
	return request({
		url: 'order.delete',
		method: 'POST',
		data: data
	})
}