import request from '@/static/api/request.js';

//
export function getWordsIndex() {
	return request({
		url: 'course.wordIndex',
		method: 'GET',
	})
}

//词库列表
export function getWordCateList() {
	return request({
		url: 'course.wordDataBaseList',
		method: 'GET',
	})
}

//选择词库
export function setUserWordCate(data) {
	return request({
		url: 'course.setUserWordCate',
		method: 'POST',
		data: data
	})
}

//每日计划
export function getDayWordPlan(data) {
	return request({
		url: 'course.getDayWordPlan',
		method: 'GET',
		data: data
	})
}

//设置每日计划
export function setUserDayWordNum(data) {
	return request({
		url: 'course.setUserDayWordNum',
		method: 'POST',
		data: data
	})
}

//单词
export function getWord(data) {
	return request({
		url: 'course.getWord',
		method: 'GET',
		data: data
	})
}

//生词本列表
export function getMyWord(data) {
	return request({
		url: 'course.getMyWord',
		method: 'GET',
		data: data
	})
}

//我的生词
export function getMyNewWord(data) {
	return request({
		url: 'course.getMyNewWord',
		method: 'GET',
		data: data
	})
}
//加入生词
export function addNewWord(data) {
	return request({
		url: 'course.addNewWord',
		method: 'POST',
		data: data
	})
}


//复习本列表
export function getMyLearn(data) {
	return request({
		url: 'course.getMyLearn',
		method: 'GET',
		data: data
	})
}
//我已掌握
export function getMyLearnWord(data) {
	return request({
		url: 'course.getMyLearnWord',
		method: 'GET',
		data: data
	})
}
//已掌握
export function setUserWords(data) {
	return request({
		url: 'course.setUserWords',
		method: 'POST',
		data: data
	})
}

//搜索单词
export function getSearchWords(data) {
	return request({
		url: 'course.searchWords',
		method: 'GET',
		data: data
	})
}

//统计
export function getWordCount() {
	return request({
		url: 'course.getWordCount',
		method: 'GET',
	})
}

//单词收藏列表
export function getWordsCollect(data) {
	return request({
		url: 'words.getCollect',
		method: 'GET',
		data: data
	})
}