import request from '@/static/api/request.js';

//活动首页
export function getIndex(data) {
	return request({
		url: 'activity.index',
		method: 'GET',
		data: data
	})
}

//活动列表
export function getActivityList(data) {
	return request({
		url: 'activity.getList',
		method: 'GET',
		data: data
	})
}

//活动详情
export function getActivityInfo(data) {
	return request({
		url: 'activity.getInfo',
		method: 'GET',
		data: data
	})
}

//购买活动
export function buyActivity(data) {
	return request({
		url: 'activity.buyActivity',
		method: 'POST',
		data: data
	})
}