import request from '@/static/api/request.js';

//地址列表
export function getAddresslist() {
	return request({
		url: 'address.getMyList',
		method: 'GET'
	})
}

//添加地址
export function addAddress(data) {
	return request({
		url: 'address.add',
		method: 'POST',
		data: data
	})
}

//地址详情
export function getAddressInfo(data) {
	return request({
		url: 'address.getInfo',
		method: 'GET',
		data: data
	})
}

//修改地址
export function setAddress(data) {
	return request({
		url: 'address.set',
		method: 'POST',
		data: data
	})
}

//设为默认
export function setDefaultAddress(data) {
	return request({
		url: 'address.setDefault',
		method: 'POST',
		data: data
	})
}

//删除地址
export function deleteAddress(data) {
	return request({
		url: 'address.delete',
		method: 'POST',
		data: data
	})
}

//删除地址
export function getAddressDefault() {
	return request({
		url: 'address.getDefault',
		method: 'GET'
	})
}
