import request from '@/static/api/request.js';

//套餐分类
export function getAlbumCate(data = {}) {
	return request({
		url: 'album.getCategory',
		method: 'GET',
		data: data
	})
}

//套餐列表
export function getAlbumList(data) {
	return request({
		url: 'album.getList',
		method: 'GET',
		data: data
	})
}

//套餐列表
export function getAlbumInfo(data) {
	return request({
		url: 'album.getInfo',
		method: 'GET',
		data: data
	})
}

//购买套餐
export function buyAlbum(data) {
	return request({
		url: 'album.buyAlbum',
		method: 'POST',
		data: data
	})
}

//套餐免费目录
export function getAlbumFreeCata(data) {
	return request({
		url: 'album.getFreeCatalog',
		method: 'GET',
		data: data
	})
}