import request from '@/static/api/request.js';

//课程分类（课程公用分类）
export function getCate(data = {}) {
	return request({
		url: 'home.getCateList',
		method: 'GET',
		data: data
	})
}

//课程列表
export function getVideoList(data) {
	return request({
		url: 'video.getList',
		method: 'GET',
		data: data
	})
}

//课程详情
export function getVideoInfo(data) {
	return request({
		url: 'video.getInfo',
		method: 'GET',
		data: data
	})
}

//课程目录
export function getVideoCata(data) {
	return request({
		url: 'video.getCatalog',
		method: 'GET',
		data: data
	})
}

//课时信息
export function getSectionHour(data) {
	return request({
		url: 'course.getSectionHour',
		method: 'GET',
		data: data
	})
}

//学习时长
export function addVideoRecord(data) {
	return request({
		url: 'user.addRecord',
		method: 'GET',
		data: data
	})
}

//课程笔记
export function addVideoNote(data) {
	return request({
		url: 'video.addNote',
		method: 'POST',
		data: data
	})
}

//课程提问
export function addVideoQuestion(data) {
	return request({
		url: 'video.addQuestion',
		method: 'POST',
		data: data
	})
}

//课程提问/点评/笔记列表
export function getVideoRender(data) {
	return request({
		url: 'video.render',
		method: 'GET',
		data: data
	})
}

//课程资料
export function getVideoFiles(data) {
	return request({
		url: 'video.getFiles',
		method: 'GET',
		data: data
	})
}
//我的分类
export function myCate(data) {
	return request({
		url: 'album_category.my_cate',
		method: 'GET',
		data: data
	})
}

//修改我的分类
export function saveMyCate(data) {
	return request({
		url: 'album_category.save_my_cate',
		method: 'POST',
		data: data
	})
}