import request from '@/static/api/request.js';

//商品分类
export function getGoodsCate(data) {
	return request({
		url: 'goods.getCategory',
		method: 'GET',
		data: data
	})
}

//商品列表
export function getGoodsList(data) {
	return request({
		url: 'goods.getList',
		method: 'GET',
		data: data
	})
}

//商品详情
export function getGoodsDetail(data) {
	return request({
		url: 'goods.getDetail',
		method: 'GET',
		data: data
	})
}

//购买商品
export function buyGoods(data) {
	return request({
		url: 'goods.buyGoods',
		method: 'POST',
		data: data
	})
}
