import request from '@/static/api/request.js';

//计划列表
export function getPlanList(data) {
	return request({
		url: 'plan.getList',
		method: 'GET',
		data: data
	})
}

//加入计划
export function planJoin(data) {
	return request({
		url: 'plan.join',
		method: 'POST',
		data: data
	})
}

//退出计划
export function planQuit(data) {
	return request({
		url: 'plan.quit',
		method: 'POST',
		data: data
	})
}

//修改计划开始时间
export function planChangeStart(data) {
	return request({
		url: 'plan.changeStart',
		method: 'POST',
		data: data
	})
}

//指定天任务
export function getDayPlan(data) {
	return request({
		url: 'plan.getDayPlan',
		method: 'GET',
		data: data
	})
}

//我的数据
export function getLearnData() {
	return request({
		url: 'learn.getData',
		method: 'GET',
	})
}

//流程图
export function getLearnChartData(data) {
	return request({
		url: 'learn.getChartData',
		method: 'GET',
		data: data
	})
}

//排行榜
export function getLearnRank(data) {
	return request({
		url: 'learn.rank',
		method: 'GET',
		data: data
	})
}

//自己排行
export function getLearnOwnRank() {
	return request({
		url: 'learn.ownRank',
		method: 'GET',
	})
}