import request from '@/static/api/request.js';

// 直播列表
export function getLiveList(data = {}) {
	return request({
		url: 'live.getList',
		method: 'GET',
		data: data
	})
}

//直播详情
export function getLiveInfo(data) {
	return request({
		url: 'live.getInfo',
		method: 'GET',
		data: data
	})
}

//直播地址
export function getLiveCatalog(data) {
	return request({
		url: 'live.getCatalog',
		method: 'GET',
		data: data
	})
}

//购买直播
export function buyLive(data) {
	return request({
		url: 'course.buyLive',
		method: 'POST',
		data: data
	})
}

//直播日历
export function getLiveCalendar(data) {
	return request({
		url: 'live.getCalendar',
		method: 'GET',
		data: data
	})
}

//直播目录
export function getLiveSectionList(data) {
	return request({
		url: 'live.getSectionList',
		method: 'GET',
		data: data
	})
}

//直播目录2
export function getMySection(data) {
	return request({
		url: 'live.getMySection',
		method: 'GET',
		data: data
	})
}