import request from '@/static/api/request.js';
//阅读列表
export function getLists(data) {
	return request({
		url: 'read.getLists',
		method: 'GET',
		data: data
	})
}

//阅读详情
export function getInfo(data) {
	return request({
		url: 'read.getInfo',
		method: 'GET',
		data: data
	})
}
//阅读重点单词
export function getWords(data) {
	return request({
		url: 'read.getWords',
		method: 'GET',
		data: data
	})
}
//阅读筛选项
export function getFilter(data) {
	return request({
		url: 'read.getFilter',
		method: 'GET',
		data: data
	})
}