import request from '@/static/api/request.js';

//院校列表
export function getSchoolLibraryv2(data) {
	return request({
		url: 'schoolLibrary.getListv2',
		method: 'GET',
		data: data
	})
}

//院校列表(分组)
export function getSchoolLibrary(data) {
	return request({
		url: 'schoolLibrary.getList',
		method: 'GET',
		data: data
	})
}
export function getSchoolLibraryFilter(data) {
	return request({
		url: 'schoolLibrary.getFilter',
		method: 'GET',
		data: data
	})
}


//院校详情
export function getSchoolLibraryInfo(data) {
	return request({
		url: 'schoolLibrary.getInfo',
		method: 'GET',
		data: data
	})
}

//院校类别
export function getSchoolLibraryTypeList(data) {
	return request({
		url: 'schoolLibrary.getTypeList',
		method: 'GET',
		data: data
	})
}
