import request from '@/static/api/request.js';

// 知识背涌首页
export function getTextBookIndex(data) {
	return request({
		url: 'text_book.index',
		method: 'GET',
		data: data
	})
}
//知识背诵章节列表
export function getTextBookGetLists(data) {
	return request({
		url: 'text_book.getLists',
		method: 'GET',
		data: data
	})
}
//知识背诵详情
export function getTextBookDetails(data) {
	return request({
		url: 'text_book.details',
		method: 'GET',
		data: data
	})
}
//内容标记
export function getTextBookMark(data) {
	return request({
		url: 'text_book.mark',
		method: 'GET',
		data: data
	})
}

//统计
export function getTextBookCount(data) {
	return request({
		url: 'text_book.getCount',
		method: 'GET',
		data: data
	})
}