import request from '@/static/api/request.js';

//余额 收入 积分统计
export function getAccountInfo() {
	return request({
		url: 'user.getAccount',
		method: 'GET'
	})
}

//余额配置
export function getBalanceConfig() {
	return request({
		url: 'user.balanceConfig',
		method: 'GET'
	})
}

//余额流水
export function getBalanceList(data) {
	return request({
		url: 'user.getBalanceList',
		method: 'GET',
		data: data
	})
}

//充值
export function rechargeBalance(data) {
	return request({
		url: 'user.rechargeBalance',
		method: 'POST',
		data: data
	})
}

//iphone内购
export function verifyIPhoneScore(data) {
	return request({
		url: 'user.verifyIPhoneScore',
		method: 'POST',
		data: data
	})
}



// 积分配置
export function getCreditConfig() {
	return request({
		url: 'user.creditConfig',
		method: 'GET'
	})
}

//积分流水
export function getCreditList(data) {
	return request({
		url: 'user.getCreditList',
		method: 'GET',
		data: data
	})
}

// 收入配置
export function getSpiltConfig() {
	return request({
		url: 'user.spiltConfig',
		method: 'GET'
	})
}
