const CCProjection = uni.requireNativePlugin('Bokecc-CcVodUniPlugin-CCProjection');
const Projection = {
	init() {
		try {
			CCProjection.initProjectionScreen();
		} catch (e) {
			console.log(e);
		}
	},
	getConnectWifiName(callback) {
		try {
			CCProjection.getConnectWifiName(callback)
		} catch (e) {
			console.log(e);
		}
	},
	refreshDevices() {
		try {
			CCProjection.projectionScreenRefresh()
		} catch (e) {
			console.log(e);
		}
	},
	startPush(params) {
		try {
			CCProjection.startPush(params);
		} catch (e) {
			console.log(e);
		}
	},
	pausePush(callback) {
		try {
			CCProjection.pause();
			callback();
		} catch (e) {
			console.log(e)
		}
	},
	resumePush() {
		try {
			CCProjection.resume();
		} catch (e) {
			console.log(e)
		}
	},
	stopPush() {
		try {
			CCProjection.stopPush();
		} catch (e) {
			console.log(e)
		}
	},
	setVolume(volume) {
		try {
			CCProjection.setVolume(volume);
		} catch (e) {
			console.log(e)
		}
	},
	seek(position) {
		try {
			CCProjection.seek(position);
		} catch (e) {
			console.log(e)
		}
	}
}

export default Projection;