export function setFullScreen(isFullScreen) {
	const ori = isFullScreen ? 'landscape-primary' : 'portrait-primary';
	plus.screen.unlockOrientation();
	plus.screen.lockOrientation(ori);
	// 控制顶部状态栏展示
	plus.navigator.setFullscreen(isFullScreen);
	if (isFullScreen) {
		plus.navigator.hideSystemNavigation();
	} else {
		plus.navigator.showSystemNavigation();
	}
}

export function loginStorageSync(data) {
	uni.setStorageSync('oauth_token', data.oauth_token);
	uni.setStorageSync('oauth_token_secret', data.oauth_token_secret);
	uni.setStorageSync('only_login_key', data.only_login_key);
	uni.setStorageSync('uname', data.uname);
	uni.setStorageSync('uid', data.uid);
	uni.setStorageSync('invite_code', data.invite_code);
}
export function logoutStorageSync() {
	uni.setStorageSync('oauth_token', '');
	uni.setStorageSync('oauth_token_secret', '');
	uni.setStorageSync('only_login_key', '');
	uni.setStorageSync('uname', '');
	uni.setStorageSync('uid', '');
	uni.setStorageSync('invite_code', '');

	// #ifdef APP-PLUS
	// 更新数据
	getApp().init() //不兼容小程序
	// #endif
}

export function shareUrlParam(str = '') {
	if (str !== '') {
		str += '&'
	}

	console.log(str + 'invite_code=' + uni.getStorageSync('invite_code'))

	return str + 'invite_code=' + uni.getStorageSync('invite_code')
}